%bcond_with bootstrap

Name:           maven-compiler-plugin
Version:        3.12.1
Release:        %mkrel 2
Group:          Development/Java
Summary:        Maven Compiler Plugin
License:        ASL 2.0
URL:            https://maven.apache.org/plugins/maven-compiler-plugin
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://archive.apache.org/dist/maven/plugins/%{name}-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-incremental)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-compiler-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-compiler-javac)
BuildRequires:  mvn(org.codehaus.plexus:plexus-compiler-manager)
BuildRequires:  mvn(org.codehaus.plexus:plexus-java)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.codehaus.plexus:plexus-xml)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.mockito:mockito-core)
%endif
# TODO Remove in Fedora 46
Obsoletes:      %{name}-javadoc < 3.12.1-13

%description
The Compiler Plugin is used to compile the sources of your project.

%prep
%autosetup -p1

# Replace path to junit in a test case with the system wide .jar
sed -i 's|localRepository,\ "junit/junit/3.8.1/junit-3.8.1.jar"|"%(find-jar junit || find-jar javapackages-bootstrap/junit)"|' src/test/java/org/apache/maven/plugin/compiler/CompilerMojoTestCase.java

%build
# JAVA_HOME must be exported because unit tests make use of it for locating javac executable
export JAVA_HOME=%{java_home}
%mvn_build -j -- -Dmaven.compiler.release=11

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE




%changelog
* Sun Jun 29 2025 daviddavid <daviddavid> 3.12.1-2.mga10
+ Revision: 2225642
- Remove javadoc subpackage
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed May 22 2024 ns80 <ns80> 3.12.1-1.mga10
+ Revision: 2066041
- new version 3.12.1 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 3.10.1-2.mga9
+ Revision: 1871253
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.10.1-1.mga9
+ Revision: 1870626
- New version 3.10.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 neoclust <neoclust> 3.8.1-3.mga8
+ Revision: 1617480
- Rebuild against java11
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 3.8.1-1.mga8
+ Revision: 1431572
- Update to version 3.8.1

* Sat Nov 17 2018 guillomovitch <guillomovitch> 3.8.0-1.mga7
+ Revision: 1330377
- new version 3.8.0

* Thu Nov 15 2018 guillomovitch <guillomovitch> 3.6.1-1.mga7
+ Revision: 1330064
- new version 3.6.1

* Wed Sep 19 2018 umeabot <umeabot> 3.5.1-6.mga7
+ Revision: 1264036
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.5.1-5.mga6
+ Revision: 1101422
- Rebuild maven-* packages

* Tue May 09 2017 neoclust <neoclust> 3.5.1-4.mga6
+ Revision: 1099860
- Remove dependency on Maven 2 toolchain

* Tue May 10 2016 daviddavid <daviddavid> 3.5.1-1.mga6
+ Revision: 1012192
- Update to upstream version 3.5.1
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.3-3.mga6
+ Revision: 977292
- First rebuild of the java stack
- sync package maven-compiler-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1-5.mga5
+ Revision: 747357
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.1-3.mga4
+ Revision: 529511
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 dmorgan <dmorgan> 3.1-2.mga4
+ Revision: 452200
- Build against proper maven-shared-incremental artifactId

* Tue Jul 09 2013 dmorgan <dmorgan> 3.1-1.mga4
+ Revision: 452192
- New version 3.1

* Tue Jul 09 2013 dmorgan <dmorgan> 3.0-2.mga4
+ Revision: 452105
- Build against proper plexus-compiler

* Tue Jul 09 2013 dmorgan <dmorgan> 3.0-1.mga4
+ Revision: 452082
- Bootstrap build of maven-compiler-plugin

* Sat Jan 12 2013 umeabot <umeabot> 2.5.1-2.mga3
+ Revision: 359588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 dmorgan <dmorgan> 2.5.1-1.mga3
+ Revision: 292280
- New version

* Mon Jul 09 2012 dmorgan <dmorgan> 2.3.2-6.mga3
+ Revision: 269001
- Rebuild against new maven

* Sat Jul 23 2011 dmorgan <dmorgan> 2.3.2-5.mga2
+ Revision: 128003
- Add few missing (Build)requires
- Remove post(un) scriptlets with update_maven_depmap
- Use new add_maven_depmap macro

* Wed Jul 20 2011 dmorgan <dmorgan> 2.3.2-4.mga2
+ Revision: 127177
- Do not require maven2.
    Guidelines fixes.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.3.2-3.mga1
+ Revision: 92693
- Rebuild after bootstrapping
- imported package maven-compiler-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 19 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.3.2-1
- Update to latest version (2.3.2)
- Modifications according to new guidelines
- Build with maven 3

* Wed May 12 2010 Alexander Kurtakov <akurtako@redhat.com> 2.0.2-2
- Add missing requires.

* Tue May 11 2010 Alexander Kurtakov <akurtako@redhat.com> 2.0.2-1
- Initial package.
